/*!
 * @file ovinotificationinfo.h
 * @brief OviNotificationInfo contains application specific settings from Notifications Enabler. OviNotificationInfo
 *             is received from notificationInfo() signal of OviNotificationSession.
 *
 * This file is part of Notifications API
 * <p>
 * @copyright  Copyright (C) 2010-2011 Nokia Corporation and/or its subsidiary(-ies). All rights reserved.
 *                   Contact:  notifications.support@nokia.com
 *                   This software, including documentation, is protected by copyright controlled by Nokia Corporation.
 *                    All rights reserved. You may use this file only in accordance with the Nokia Developer Software
 *                    Agreement version 2.0 and accompanying Ovi any additional terms. This material also contains
 *                    confidential information which may not be disclosed to others without the prior written consent of Nokia.
 *
 * @license    Nokia Developer Software Agreement version 2.0 and accompanying Ovi any additional terms
 * </p>
 */


#ifndef OVINOTIFICATIONINFO_H_
#define OVINOTIFICATIONINFO_H_

#include <QObject>

// Forward declarations
class OviNotificationInfoPrivate;

class OviNotificationInfo : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QString notificationId READ notificationId)
public:

    OviNotificationInfo();
    ~OviNotificationInfo();

public slots:

  /*!
     * Returns the Notification Id used by the service to send notifications.
     *
     * @return Notification Id
     */
    virtual QString notificationId() const;

private:

        OviNotificationInfoPrivate *impl;

    // Friend classes
    friend class OviNotificationResponseHandler;
};

#endif /* OVINOTIFICATIONINFO_H_ */
